line_info_banner_section:
  label: Banner Section
  namespace: Organisms/TM - Line Info
  use: '@organisms/tm-line-info/line-info-banner-section/line-info-banner-section.twig'
  description: Line info banner section
  libraries:
    - line_info_banner_section_lib:
        css:
          component:
            ../styles/line-info-banner-section.css: {}
  fields:
    title:
      type: text
      label: Title
      preview: 'Banner Section'
    slide:
      type: object
      label: Slide
      preview:
        image_src: https://picsum.photos/500/400
        image_alt: Alt text
        link_url: /somewheresomewhere
        title: Railcards
        subtitle: Get your railcard here
        body: Railcards are great.
        link_scope: block
  settings:
    header_id:
      type: textfield
      label: Header ID
      preview: line-info-banner-section
    background_coloured:
      type: boolean
      label: Background coloured
      preview: true
    heading_colour:
      type: textfield
      label: Slide heading colour
      preview: white
    show_view_icon:
      type: boolean
      label: Show "View" icon
      preview: true
